package forms

import (
	"errors"
)

type ChannelStatReq struct {
	ListReq
}

type ChannelStatEditReq struct {
	Id   int64  `json:"id" form:"id"`
	Name string `json:"name" form:"name"`
}

func (req *ChannelStatEditReq) Check() error {
	if req.Id == 0 {
		return errors.New("渠道主键不能为空")
	}
	return nil
}
